Bug 243186 - java/openjdk13: fix compilation for powerpc64 elfv2
Summary: java/openjdk13: fix compilation for powerpc64 elfv2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-java (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-08 12:42 UTC by Piotr Kubaj
Modified: 2020-02-07 09:01 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (java)


Attachments
patch (1.62 KB, patch)
2020-01-08 12:42 UTC, Piotr Kubaj
no flags Details | Diff
v2 (1.61 KB, patch)
2020-01-08 12:57 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (frebsd-java)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2020-01-08 12:42:31 UTC
Created attachment 210528 [details]
patch

Because of issue with macros in precompiled.hpp, --disable-precompiled-headers is necessary.

Since openjdk compiles for elfv1 by default on big-endian ppc64, use a patch to compile for elfv2.
Comment 1 Piotr Kubaj freebsd_committer 2020-01-08 12:57:03 UTC
Created attachment 210531 [details]
v2

Assume elfv1 -> gcc, elfv2 -> clang.
Comment 2 Piotr Kubaj freebsd_committer 2020-01-15 22:10:46 UTC
May I assume this is ok as well?
Comment 3 commit-hook freebsd_committer 2020-02-07 09:01:09 UTC
A commit references this bug:

Author: pkubaj
Date: Fri Feb  7 09:00:36 UTC 2020
New revision: 525470
URL: https://svnweb.freebsd.org/changeset/ports/525470

Log:
  java/openjdk13: fix compilation for powerpc64 elfv2

  Because of issue with macros in precompiled.hpp, --disable-precompiled-headers is necessary.

  Since openjdk compiles for elfv1 by default on big-endian ppc64, use a patch to compile for elfv2.

  PR:		243186
  Approved by:	java (maintainer timeout)

Changes:
  head/java/openjdk13/Makefile
  head/java/openjdk13/files/patch-make_autoconf_flags-cflags.m4